Package com.castlabs.android.player

# Class AudioAttributes

java.lang.Object
com.castlabs.android.player.AudioAttributes

All Implemented Interfaces:
  `Parcelable`

public final class AudioAttributes extends Object implements Parcelable
Attributes for audio playback.

These will affect how the Player interacts with `AudioFocusManager`.

Since:
  4.1.9

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `AudioAttributes.Builder`
  Builder for `AudioAttributes`.

  ## Nested classes/interfaces inherited from interface android.os.Parcelable

  `Parcelable.ClassLoaderCreator<T>, Parcelable.Creator<T>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Parcelable.Creator<AudioAttributes>`
  `CREATOR`
  Creator for `AudioAttributes` from a `Parcel`.

  ### Fields inherited from interface android.os.Parcelable

  `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `describeContents()`
  `boolean`
  `equals(Object o)`
  `@com.google.android.exoplayer2.C.AudioContentType int`
  `getContentType()`
  Returns the content type.
  `@com.google.android.exoplayer2.C.AudioFlags int`
  `getFlags()`
  Returns the flags.
  `@com.google.android.exoplayer2.C.AudioUsage int`
  `getUsage()`
  Returns the usage.
  `int`
  `hashCode()`
  `void`
  `writeToParcel(Parcel dest, int flags)`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CREATOR

    public static final Parcelable.Creator<AudioAttributes> CREATOR
    Creator for `AudioAttributes` from a `Parcel`.

- ## Method Details

  - ### getContentType

    @AudioContentType public @com.google.android.exoplayer2.C.AudioContentType int getContentType()
    Returns the content type.
    Returns:
      The content type.

  - ### getFlags

    @AudioFlags public @com.google.android.exoplayer2.C.AudioFlags int getFlags()
    Returns the flags.
    Returns:
      The flags.

  - ### getUsage

    @AudioUsage public @com.google.android.exoplayer2.C.AudioUsage int getUsage()
    Returns the usage.
    Returns:
      The usage.

  - ### describeContents

    public int describeContents()
    Specified by:
      `describeContents` in interface `Parcelable`

  - ### writeToParcel

    public void writeToParcel(Parcel dest, int flags)
    Specified by:
      `writeToParcel` in interface `Parcelable`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`